package sample.ui;

import javax.annotation.PostConstruct;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import ru.xpoft.vaadin.VaadinView;

import com.vaadin.navigator.View;
import com.vaadin.navigator.ViewChangeListener;
import com.vaadin.ui.Label;
import com.vaadin.ui.Notification;
import com.vaadin.ui.Panel;
import com.vaadin.ui.VerticalLayout;

@Component @Scope("request")
@VaadinView(MainView.NAME)
public class MainView extends Panel implements View {
	private static final long serialVersionUID = 6074997661430045699L;

	public static final String NAME = "profile";

	@PostConstruct
	public void PostConstruct() {
		VerticalLayout layout = new VerticalLayout();
		layout.addComponent(new Label("Test"));
		setContent(layout);
	}

	@Override
	public void enter(ViewChangeListener.ViewChangeEvent event) {
		Notification.show("Entered MainView");
	}

}
